;; custom-defaults.jl -- customize settings loaded if no user customization
;; $Id: custom-defaults.jl,v 1.3 2000/11/29 00:54:47 jsh Exp $

;; Copyright (C) 2000 John Harper <john@dcs.warwick.ac.uk>

;; This file is part of sawmill.

;; sawmill is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; sawmill is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with sawmill; see the file COPYING.  If not, write to
;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

(custom-set-typed-variable (quote workspace-geometry) (quote (4 1 . 1)) (quote workspace-geometry))
(custom-set-typed-variable (quote tooltips-show-doc-strings) (quote ()) (quote boolean))
(custom-set-typed-variable (quote warp-to-selected-windows) (quote ()) (quote boolean))
(custom-set-typed-variable (quote cycle-warp-pointer) (quote ()) (quote boolean))
(custom-set-typed-variable (quote focus-mode) (quote click) (quote symbol))



;;;;;;;;;;;;;; Red Hat additions

(custom-set-typed-variable (quote tooltips-enabled) (quote nil) (quote boolean) (quote tooltips))

(custom-set-variable (quote warp-to-selected-windows) (quote nil))

(custom-set-variable (quote cycle-warp-pointer) (quote nil))

(custom-set-typed-variable (quote gnome-use-capplet) (quote t) (quote boolean) (quote gnome-int))

(custom-set-frame-style (quote default-frame-style) (quote CoolClean))

(custom-set-variable (quote tooltips-background-color) (quote "lemon chiffon"))

(custom-set-variable (quote unshade-selected-windows) (quote t))

(custom-set-variable (quote preallocated-workspaces) (quote 4))

(custom-set-variable (quote transients-on-parents-workspace) (quote t))

;;; (custom-set-variable (quote viewport-columns) (quote 2))
;;; (custom-set-variable (quote viewport-rows) (quote 2))

(custom-set-keymap
 (quote title-keymap) 
 (quote (keymap 
         (move-window-interactively . "Button1-Move")
         (toggle-window-shaded . "Button1-Click2")
         (resize-window-interactively . "Button2-Move")
         (raise-lower-window . "Button3-Click1"))))

(custom-set-keymap
 (quote global-keymap) 
 (quote (keymap 
         (gnome-logout . "M-C-DEL")
         (cycle-windows . "M-TAB") 
         (next-workspace . "S-M-Right") 
         (previous-workspace . "S-M-Left")
         ((activate-workspace 1) . "M-F1")
         ((activate-workspace 2) . "M-F2") 
         ((activate-workspace 3) . "M-F3")  
         ((activate-workspace 4) . "M-F4")
         ((activate-workspace 5) . "M-F5")  
         ((activate-workspace 6) . "M-F6") 
         ((activate-workspace 7) . "M-F7")  
         ((activate-workspace 8) . "M-F8") )))

(custom-set-keymap 
 (quote border-keymap) 
 (quote (keymap
         (raise-transients-and-pass-through-click . "button1-Click1")
         (raise-transients-and-pass-through-click . "button2-Click1")
         (raise-transients-and-pass-through-click . "button3-Click1")
         (resize-window-interactively . "Button1-Move")
         (move-window-interactively . "Button2-Move") 
         (raise-lower-window . "Button3-Click1"))))

(custom-set-keymap 
 (quote window-keymap) 
 (quote (keymap 
         (raise-transients-and-pass-through-click . "button1-Click1")
         (raise-transients-and-pass-through-click . "button2-Click1")
         (raise-transients-and-pass-through-click . "button3-Click1")
         (move-window-interactively . "M-button1-Move")
         (popup-window-menu . "M-button2-Click1")
         (raise-lower-window . "M-button3-Click1")      
         (send-to-next-workspace . "M-C-Right")
         (send-to-previous-workspace . "M-C-Left")
         (lower-window . "M-C-Down")
         (raise-window . "M-C-Up")
         (send-to-workspace:1 . "S-M-F1") 
         (send-to-workspace:2 . "S-M-F2") 
         (send-to-workspace:3 . "S-M-F3") 
         (send-to-workspace:4 . "S-M-F4")  
         (send-to-workspace:5 . "S-M-F5")  
         (send-to-workspace:6 . "S-M-F6")  
         (send-to-workspace:7 . "S-M-F7")  
         (send-to-workspace:8 . "S-M-F8"))))
        

(custom-set-variable (quote raise-window-timeout) (quote 0))
(custom-set-variable (quote focus-windows-when-mapped) (quote t))
(custom-set-variable (quote transients-above) (quote parents))
(custom-set-variable (quote window-history-auto-save-position) (quote nil))
